[TxMt] Bundle Item Prerequisites system

Thomas Aylott (subtleGradient) oblivious at subtlegradient.com
Wed Feb 21 17:10:00 UTC 2007

We're working on a new system for tagging/searching/browsing bundles.

But, should we allow specific bundle items to be tagged too?

One purpose would be to mark something that is Mac or xNIX only.
Or something that requires some application or tool to be installed.

That way we could write a single system for dealing with requirements .
	If a user tries to run a command that requires Python 2.4 or  
whatever, there will be a single system for dealing with it.

Currently, every bundle item that has a prerequisite either breaks or  
handles the requirements system itself.

Since bundles are becoming more and more cross-platform and being  
used in more than just TextMate on a Mac, this seems like a good idea.

I know of at least two editors on Windows that are supposed to  
support the TextMate Bundle formats.
Personally, I'm all for making the formats as cross-platform friendly  
as possible.

thomas Aylott — subtleGradient — CrazyEgg — sixteenColors
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macromates.com/textmate/attachments/20070221/57024f5e/attachment.html>

More information about the textmate mailing list